QuickFIX: FIX::SocketServer::Strategy Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::SocketServer::Strategy Class Reference

`#include <SocketServer.h>`

Inheritance diagram for FIX::SocketServer::Strategy:
[legend]

List of all members.

## Public Member Functions
virtual | ~Strategy ()
virtual void | onConnect (SocketServer &, int acceptSocket, int socket)=0
virtual void | onWrite (SocketServer &, int socket)=0
virtual bool | onData (SocketServer &, int socket)=0
virtual void | onDisconnect (SocketServer &, int socket)=0
virtual void | onError (SocketServer &)=0
virtual void | onTimeout (SocketServer &)

## Detailed Description

Definition at line 86 of file SocketServer.h.

## Constructor & Destructor Documentation

virtual FIX::SocketServer::Strategy::~Strategy | ( |  | ) | `[inline, virtual]`

Definition at line 89 of file SocketServer.h.

    00089 {}

## Member Function Documentation

virtual void FIX::SocketServer::Strategy::onConnect | ( | SocketServer & | ,
|  | int | acceptSocket,
|  | int | socket |
| ) |  |  | `[pure virtual]`

Implemented in FIX::HttpServer, and FIX::SocketAcceptor.

Referenced by FIX::ServerWrapper::onEvent().

virtual bool FIX::SocketServer::Strategy::onData | ( | SocketServer & | ,
|  | int | socket |
| ) |  |  | `[pure virtual]`

Implemented in FIX::HttpServer, and FIX::SocketAcceptor.

Referenced by FIX::ServerWrapper::onEvent().

virtual void FIX::SocketServer::Strategy::onDisconnect | ( | SocketServer & | ,
|  | int | socket |
| ) |  |  | `[pure virtual]`

Implemented in FIX::HttpServer, and FIX::SocketAcceptor.

Referenced by FIX::ServerWrapper::onError().

virtual void FIX::SocketServer::Strategy::onError | ( | SocketServer & |  | ) | `[pure virtual]`

Implemented in FIX::HttpServer, and FIX::SocketAcceptor.

Referenced by FIX::ServerWrapper::onError().

virtual void FIX::SocketServer::Strategy::onTimeout | ( | SocketServer & |  | ) | `[inline, virtual]`

Reimplemented in FIX::HttpServer, and FIX::SocketAcceptor.

Definition at line 95 of file SocketServer.h.

Referenced by FIX::ServerWrapper::onTimeout().

    00095 {};

virtual void FIX::SocketServer::Strategy::onWrite | ( | SocketServer & | ,
|  | int | socket |
| ) |  |  | `[pure virtual]`

Implemented in FIX::HttpServer, and FIX::SocketAcceptor.

Referenced by FIX::ServerWrapper::onWrite().

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/SocketServer.h